Index: /trunk/INSTALL/arquivos/expresso.dump
===================================================================
--- /trunk/INSTALL/arquivos/expresso.dump	(revision 7533)
+++ /trunk/INSTALL/arquivos/expresso.dump	(revision 7630)
@@ -80,5 +80,5 @@
     id integer DEFAULT nextval('seq_attachment'::regclass) NOT NULL,
     source bytea NOT NULL,
-    type character varying(50) NOT NULL,
+    type character varying(255) NOT NULL,
     name character varying(255) NOT NULL,
     size character varying(255) NOT NULL,
@@ -750,4 +750,50 @@
 SELECT pg_catalog.setval('calendar_task_to_activity_object_id_seq', 1, false);
 
+
+--
+-- Name: seq_calendar_timezones; Type: SEQUENCE; Schema: public; Owner: postgres
+--
+
+CREATE SEQUENCE seq_calendar_timezones
+    START WITH 1
+    INCREMENT BY 1
+    NO MINVALUE
+    NO MAXVALUE
+    CACHE 1;
+
+
+ALTER TABLE public.seq_calendar_timezones OWNER TO postgres;
+
+--
+-- Name: seq_calendar_timezones; Type: SEQUENCE SET; Schema: public; Owner: postgres
+--
+
+SELECT pg_catalog.setval('seq_calendar_timezones', 1, true);
+
+
+--
+-- Name: calendar_timezones; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
+--
+
+CREATE TABLE calendar_timezones (
+    id integer DEFAULT nextval('seq_calendar_timezones'::regclass) NOT NULL,
+    timezone character varying(150) NOT NULL,
+    standard_frequency character varying(20) NOT NULL,
+    standard_dtstart character varying(20),
+    standard_byday character varying(50),
+    standard_bymonth character varying(50),
+    standard_from character varying(10),
+    standard_to character varying(10),
+    daylight_frequency character varying(20) NOT NULL,
+    daylight_dtstart character varying(20),
+    daylight_byday character varying(50),
+    daylight_bymonth character varying(50),
+    daylight_from character varying(10),
+    daylight_to character varying(10),
+    dtstamp bigint NOT NULL
+);
+
+
+ALTER TABLE public.calendar_timezones OWNER TO postgres;
 
 --
@@ -2667,5 +2713,5 @@
 --
 
-SELECT pg_catalog.setval('seq_phpgw_applications', 22, true);
+SELECT pg_catalog.setval('seq_phpgw_applications', 23, true);
 
 
@@ -2835,5 +2881,5 @@
 --
 
-SELECT pg_catalog.setval('seq_phpgw_hooks', 911, true);
+SELECT pg_catalog.setval('seq_phpgw_hooks', 913, true);
 
 
@@ -3084,4 +3130,13 @@
 
 COPY calendar_task_to_activity_object (id, calendar_object_activity_id, calendar_object_task_id, owner) FROM stdin;
+\.
+
+
+--
+-- Data for Name: calendar_timezones; Type: TABLE DATA; Schema: public; Owner: postgres
+--
+
+COPY calendar_timezones (id, timezone, standard_frequency, standard_dtstart, standard_byday, standard_bymonth, standard_from, standard_to, daylight_frequency, daylight_dtstart, daylight_byday, daylight_bymonth, daylight_from, daylight_to, dtstamp) FROM stdin;
+1	America/Sao_Paulo	YEARLY	23:59	4SA	2	-0200	-0300	YEARLY	23:59	3SA	10	-0300	-0200	1354910056
 \.
 
@@ -3392,5 +3447,4 @@
 2	admin	1	1		2.5.0
 3	preferences	2	1		2.5.0
-22	expressoCalendar	1	10	calendar_signature_alarm,calendar_signature,calendar_repeat_occurrence,calendar_repeat,calendar_alarm,calendar_participant,calendar_participant_status,calendar_attach,attachment,calendar_to_calendar_object,calendar,calendar_object,calendar_object_type,calendar_class,calendar_ex_participant,calendar_permission,module_preference,calendar_repeat_ranges,calendar_task_to_activity_object,calendar_historic	1.009
 19	listAdmin	1	10		2.5.0
 10	emailadmin	2	10	phpgw_emailadmin	2.5.0
@@ -3404,4 +3458,6 @@
 15	workflow	1	10	egw_wf_activities,egw_wf_activity_roles,egw_wf_instance_activities,egw_wf_instances,egw_wf_processes,egw_wf_roles,egw_wf_transitions,egw_wf_user_roles,egw_wf_workitems,egw_wf_process_config,egw_wf_activity_agents,egw_wf_agent_mail_smtp,egw_wf_interinstance_relations,egw_wf_external_application,egw_wf_admin_access,egw_wf_user_cache,egw_wf_jobs,egw_wf_job_logs	2.5.0
 21	filemanager	1	6	phpgw_vfs,phpgw_vfs_quota,phpgw_filemanager_notification	2.5.0
+23	zpush	1	10		2.5.0
+22	expressoCalendar	1	10	calendar_signature_alarm,calendar_signature,calendar_repeat_occurrence,calendar_repeat,calendar_alarm,calendar_participant,calendar_participant_status,calendar_attach,attachment,calendar_to_calendar_object,calendar,calendar_object,calendar_object_type,calendar_class,calendar_ex_participant,calendar_permission,module_preference,calendar_repeat_ranges,calendar_task_to_activity_object,calendar_historic	1.011
 \.
 
@@ -13590,5 +13646,4 @@
 contactcenter	cc_allow_details	true
 contactcenter	cc_ldap_max_results	100
-phpgwapi	lang_ctimes	a:3:{s:2:"en";a:1:{s:11:"filemanager";i:1353326719;}s:5:"pt-br";a:1:{s:11:"filemanager";i:1353326719;}s:5:"es-es";a:1:{s:11:"filemanager";i:1353326719;}}
 phpgwapi	useframes	never
 phpgwapi	temp_dir	/tmp
@@ -13618,4 +13673,5 @@
 expressoMail1_2	expressoMail_enable_memcache	true
 expressoMail1_2	expressoMail_time_memcache	8400
+phpgwapi	lang_ctimes	
 \.
 
@@ -13800,5 +13856,4 @@
 788	preferences	preferences	hook_preferences.inc.php
 789	preferences	settings	hook_settings.inc.php
-793	expressoCalendar	admin	hook_admin.inc.php
 794	listAdmin	admin	hook_admin.inc.php
 821	calendar	add_def_prefs	hook_add_def_prefs.inc.php
@@ -13847,4 +13902,5 @@
 910	filemanager	personalizer	hook_personalizer.inc.php
 911	filemanager	preferences	hook_preferences.inc.php
+913	expressoCalendar	admin	hook_admin.inc.php
 \.
 
@@ -17715,4 +17771,5 @@
 pt-br	listAdmin	add sub-sectors	Adicionar Sub-Setores
 pt-br	listAdmin	do you realy want delete this sector?	Você realmente deseja excluir este setor?
+pt-br	listAdmin	edit email attribute from the groups	Editar campo e-mail do grupo
 pt-br	listAdmin	all users, groups and sub-sectors of this sector will be deleted!	Todos os usuários, grupos e sub-setores deste setor irão ser DELETADOS!
 pt-br	listAdmin	content the folling users	Contêm os seguintes usuários
@@ -17806,5 +17863,4 @@
 pt-br	listAdmin	use samba attributes	Usar atributos samba
 pt-br	listAdmin	occult sector	Ocultar setor
-pt-br	listAdmin	edit email attribute from the groups	Editar campo e-mail do grupo
 pt-br	listAdmin	adm	Adm
 pt-br	listAdmin	maillist adm	Gerentes da Lista
@@ -18172,4 +18228,5 @@
 pt-br	workflow	<strong>%signature%</strong> is the agent signature defined in the process configuration	<strong>%signature%</strong> é a assinatura do agente definida na configuração do processo
 pt-br	workflow	<strong>%user%</strong> is the instance user email	<strong>%user%</strong> é o email do usuário da instância
+pt-br	workflow	get back to global activities	voltar para as atividades globais
 pt-br	workflow	<strong>%user_xx%</strong> is the email of the acount xx	<strong>%user_XX%</strong> é o email da conta XX
 pt-br	workflow	abort instance	abortar instância
@@ -18308,4 +18365,5 @@
 pt-br	workflow	description	Descrição
 pt-br	workflow	do you want the activity status on instances lists. most of the time it is "running" but if you use non-autorouted transitions you will have some completed activities.	Você deseja ver o estado das atividades nas listas de instãncias? Na maioria das vezes o estado é "executando", mas se você usa transições de roteamento não automático, você terá algumas atividades completadas.
+pt-br	workflow	process roles	Perfis do processo
 pt-br	workflow	do you want the category column on instances lists, if yout instances use categories you should use it	Você deseja a coluna de categoria nas listas de instância? Se as suas instâncias usam categorias você deve usar a coluna
 pt-br	workflow	do you want the category name column on instances lists, if your instances use categories you should use it	Você deseja a coluna com o nome da categoria nas listas de instância? Se as suas instâncias usam categorias você deve usar a coluna
@@ -18360,5 +18418,4 @@
 pt-br	workflow	from	De
 pt-br	workflow	from:	De:
-pt-br	workflow	get back to global activities	voltar para as atividades globais
 pt-br	workflow	get back to instance creation	voltar para a criação de instância
 pt-br	workflow	get property	Obter propriedade
@@ -18509,5 +18566,4 @@
 pt-br	workflow	process name	Nome do Processo
 pt-br	workflow	process name already exists	Nome do processo já existe
-pt-br	workflow	process roles	Perfis do processo
 pt-br	workflow	process saved	Processo salvo
 pt-br	workflow	process transitions	Transições do processo
@@ -18643,4 +18699,6 @@
 pt-br	workflow	this form will test your local workflow installation to detect potential issues	Este formulário irá testar a sua instalação local de workflow, para detectar problemas potenciais
 pt-br	workflow	this is the first screen shown when you click on the workflow application icon	Esta é a primeira tela a ser mostrada quando você clicar no ícone do módulo de workflow.
+en	admin	application name	Application name
+en	admin	application title	Application title
 pt-br	workflow	sets the default sorting criteria for the inbox instances.	Define o critério de ordenação padrão para as instâncias nas tarefas pendentes.
 pt-br	workflow	determines the number of items per page in the user interface.	Determina o número de itens por página na interface do usuário.
@@ -18709,4 +18767,7 @@
 pt-br	workflow	you are not allowed to send instance %1	Você não tem permissão para enviar a instância %1
 pt-br	workflow	you can use special values with this mail agent:	Você pode usar valores especiais com este agente de correio:
+en	admin	applications	Applications
+en	admin	applications list	Applications list
+en	admin	apply	apply
 pt-br	workflow	you do not have the right to run this activity anymore, maybe a concurrent access problem, refresh your datas.	Você não tem mais permissão para executar esta atividade, provavelmente um problema de acesso concorrente, atualize seus dados.
 pt-br	workflow	you don't have the rights necessary to exception instance %1	Você não tem direitos de acesso suficientes para colocar a instância %1 em exceção
@@ -18786,9 +18847,4 @@
 en	admin	appearance	Appearance
 en	admin	application	Application
-en	admin	application name	Application name
-en	admin	application title	Application title
-en	admin	applications	Applications
-en	admin	applications list	Applications list
-en	admin	apply	apply
 en	admin	are you sure you want to delete the application %1 ?	Are you sure you want to delete the application %1 ?
 en	admin	are you sure you want to delete this account ?	Are you sure you want to delete this account ?
@@ -19189,4 +19245,5 @@
 en	admin	80 (http)	80 (http)
 en	admin	datetime port.<br>if using port 13, please set firewall rules appropriately before submitting this page.<br>(port: 13 / host: 129.6.15.28)	Datetime port.<br>If using port 13, please set firewall rules appropriately before submitting this page.<br>(Port: 13 / Host: 129.6.15.28)
+en	common	chile	CHILE
 en	admin	a please wait message is shown when loading the activity form usefull for long tasks	a please wait message is shown when loading the activity form usefull for long tasks
 en	admin	administer instances	Administer instances
@@ -19363,5 +19420,4 @@
 en	common	check installation	Check installation
 en	common	check now	Check Now
-en	common	chile	CHILE
 en	common	china	CHINA
 en	common	choose the category	Choose the category
@@ -19886,4 +19942,5 @@
 en	common	role give exception right	Role give exception right
 en	common	role give release right	Role give release right
+en	calendar	canceled	Canceled
 en	common	running activities options	Running activities options
 en	common	show activity info zone	show activity info zone
@@ -19976,5 +20033,4 @@
 en	calendar	calendar preferences	Calendar Preferences
 en	calendar	calendar-fieldname	Calendar-Fieldname
-en	calendar	canceled	Canceled
 en	calendar	change all events for $params['old_owner'] to $params['new_owner'].	Change all events for $params['old_owner'] to $params['new_owner'].
 en	calendar	change status	Change Status
@@ -20201,4 +20257,7 @@
 en	calendar	this message is sent for canceled or deleted events.	This message is sent for canceled or deleted events.
 en	calendar	this message is sent for modified or moved events.	This message is sent for modified or moved events.
+en	contactcenter	copy to personal catalog.	Copy to personal catalog
+en	contactcenter	choose city	Choose City...
+en	contactcenter	choose country	Choose Country...
 en	calendar	this message is sent to every participant of events you own, who has requested notifcations about new events.<br>you can use certain variables which get substituted with the data of the event. the first line is the subject of the 	This message is sent to every participant of events you own, who has requested notifcations about new events.<br>You can use certain variables which get substituted with the data of the event. The first line is the subject of the email.
 en	calendar	this message is sent when you accept, tentative accept or reject an event.	This message is sent when you accept, tentatively accept, or reject an event.
@@ -20279,7 +20338,4 @@
 en	contactcenter	contacting server...	Contacting Server...
 en	contactcenter	country	Country
-en	contactcenter	copy to personal catalog.	Copy to personal catalog
-en	contactcenter	choose city	Choose City...
-en	contactcenter	choose country	Choose Country...
 en	contactcenter	choose prefix...	Choose Prefix...
 en	contactcenter	choose sex ...	Choose Sex...
@@ -20466,4 +20522,5 @@
 en	expressoMail1_2	certificate has expired	certificate has expired
 en	expressoMail1_2	change folder	Change folder
+en	workflow	template	template
 en	expressoMail1_2	choose a name	Choose a name
 en	expressoMail1_2	chose the text you want transform in link before.	Select the text which will be transformed in link
@@ -20635,4 +20692,5 @@
 en	expressoMail1_2	#msg010- erro verificando expiracao/cas do certificado.	#MSG010- Erro verificando Expiracao/CAs do certificado.
 en	expressoMail1_2	#msg011- ocorreu erro validando o certificado.	#MSG011- Ocorreu erro validando o certificado.
+en	workflow	validity:	Validity:
 en	expressoMail1_2	more actions	More actions
 en	expressoMail1_2	more	More
@@ -20976,4 +21034,5 @@
 en	htmlarea-ContextMenu	show the table properties dialog	Show the Table Properties dialog
 en	htmlarea-ContextMenu	show the table row properties dialog	Show the Table Row Properties dialog
+en	workflow	value	Value
 en	htmlarea-ContextMenu	unlink the current element	Unlink the current element
 en	htmlarea	about this editor	About this editor
@@ -21198,4 +21257,5 @@
 en	workflow	<strong>%owner%</strong> is the instance owner email	<strong>%owner%</strong> is the instance owner email
 en	workflow	<strong>%property_xx%</strong> is the content of the instance's property xx	<strong>%property_XX%</strong> is the content of the instance's property XX
+en	workflow	version	Version
 en	workflow	<strong>%role_xx%</strong> are all the emails of all users mapped to the role xx	<strong>%role_XX%</strong> are all the emails of all users mapped to the role XX
 en	workflow	<strong>%roles%</strong> are the emails of all users mapped to any role on this activity	<strong>%roles%</strong> are the emails of all users mapped to any role on this activity
@@ -21270,4 +21330,5 @@
 en	workflow	admin process activities	Admin Process Activities
 en	workflow	admin process roles	Admin Process Roles
+es-es	common	show all	mostrar todo
 en	workflow	admin processes sources	Admin Processes Sources
 en	workflow	agent #%1 of type %2 is associated to an inexistent activity #%3	Agent #%1 of type %2 is associated to an inexistent activity #%3
@@ -21637,5 +21698,4 @@
 en	workflow	switch	switch
 en	workflow	switch construct	Switch construct
-en	workflow	template	template
 en	workflow	test concistency	Test Concistency
 en	workflow	test consistency of datas in the database	Test Consistency of datas in the database
@@ -21708,7 +21768,4 @@
 en	workflow	valid process	Valid Process
 en	workflow	valid:	valid:
-en	workflow	validity:	Validity:
-en	workflow	value	Value
-en	workflow	version	Version
 en	workflow	view details	view details
 en	workflow	view this instance	View this instance
@@ -21940,4 +21997,5 @@
 es-es	admin	enabled	Habilitado
 es-es	admin	enable debug-messages	Activar mensajes de depuración
+es-es	common	viet nam	VIET NAM
 es-es	admin	enabled - hidden from navbar	Habilitado - Esconder de la barra de navegación
 es-es	admin	enabled - popup window	Habilitado - Ventana emergente
@@ -22000,4 +22058,5 @@
 es-es	admin	idle	inactivo
 es-es	admin	if no acl records for user or any group the user is a member of	Si no se encuentran registros ACL del usuario y grupo, entonces el usuario es miembro de
+es-es	admin	the api is current	La API está al día
 es-es	admin	if using ldap, do you want to manage homedirectory and loginshell attributes?	Si se usa LDAP, ¿desea manejar los atributos del directorio de inicio y la cuenta?
 es-es	admin	inbound	entrantes
@@ -22162,5 +22221,4 @@
 es-es	admin	that name has been used already	Ese nombre ya ha sido usado
 es-es	admin	that server name has been used already !	Ese nombre de servidor ya ha sido usado!
-es-es	admin	the api is current	La API está al día
 es-es	admin	the api requires an upgrade	La API requiere ser actualizada
 es-es	admin	the groups must include the primary group	Los grupos deben incluir el grupo principal
@@ -22364,4 +22422,5 @@
 es-es	common	send mail	Enviar e-mail
 es-es	common	showing found entries	Mostrando items encontrados
+es-es	common	kiribati	KIRIBATI
 es-es	common	details on the global catalog address	Detalles en el Catálogo Global de Direcciones
 es-es	common	enable display of contact details for the global catalog	Permitir visualización de detalles para contactos del Catálogo Global
@@ -22559,4 +22618,5 @@
 es-es	common	error creating %1 %2 directory	Error creando el directorio %1 %2
 es-es	common	error deleting %1 %2 directory	Error eliminando el directorio %1 %2
+es-es	common	palau	PALAU
 es-es	common	error renaming %1 %2 directory	Error renombrando el directorio %1 %2
 es-es	common	estonia	ESTONIA
@@ -22658,5 +22718,4 @@
 es-es	common	kenya	KENYA
 es-es	common	keywords	Palabras clave
-es-es	common	kiribati	KIRIBATI
 es-es	common	korea, democratic peoples republic of	KOREA, DEMOCRATIC PEOPLES REPUBLIC OF
 es-es	common	korea, republic of	KOREA, REPUBLIC OF
@@ -22771,5 +22830,4 @@
 es-es	common	page was generated in %1 seconds	La página se generó en %1 segundos
 es-es	common	pakistan	PAKISTAN
-es-es	common	palau	PALAU
 es-es	common	palestinian territory, occupied	PALESTINIAN TERRITORY, OCCUPIED
 es-es	common	panama	PANAMA
@@ -22864,5 +22922,4 @@
 es-es	common	seychelles	SEYCHELLES
 es-es	common	show all categorys	Mostrar todas las categorías
-es-es	common	show all	mostrar todo
 es-es	common	show header and toolbar	Demuestre el jefe y toolbar
 es-es	common	showing %1 - %2 of %3	mostrando %1 - %2 de %3
@@ -22961,5 +23018,4 @@
 es-es	common	venezuela	VENEZUELA
 es-es	common	version	Versión
-es-es	common	viet nam	VIET NAM
 es-es	common	view	Ver
 es-es	common	virgin islands, british	VIRGIN ISLANDS, BRITISH
@@ -23193,4 +23249,5 @@
 es-es	calendar	fieldseparator	Separador de campos
 es-es	calendar	firstname of person to notify	Nombre de pila de la persona a notificar
+es-es	calendar	summary	Descripción
 es-es	calendar	format of event updates	Formato de las actualizaciones de eventos
 es-es	calendar	(for weekly)	(por semanal)
@@ -23340,5 +23397,4 @@
 es-es	calendar	submit to repository	Enviar al repositorio
 es-es	calendar	su	Do
-es-es	calendar	summary	Descripción
 es-es	calendar	sun	Dom
 es-es	calendar	tentative	Tentativo
@@ -23477,4 +23533,5 @@
 es-es	contactcenter	connections	Conexiones
 es-es	contactcenter	connection value	Valor de la Conexión
+es-es	expressoMail1_2	sector	Sector
 es-es	contactcenter	connector setup	Configuración de la Conexión
 es-es	contactcenter	contact [shared]	Contacto [Compartido]
@@ -23965,4 +24022,5 @@
 es-es	expressoMail1_2	define some search parameters!	Defina algunos parámetros para la busqueda!
 es-es	expressoMail1_2	define the boxes to search!	Defina las carpetas para la búsqueda!
+es-es	expressoMail1_2	fail in import:	Fallo al importar:
 es-es	expressoMail1_2	delete all attachments confirmation	ATENCIÓN: Después de confirmar borrar mensaje, TODOS los anexos de la misma seran borrados. Asegúrese de poseer una copia de los archivos importntes. ¿Desea confirmar la operación?
 es-es	expressoMail1_2	delete automatically the messages in trash folder in how many days	Borrar automaticamente los mensajes de la papelera después de cuantos días
@@ -24030,5 +24088,5 @@
 es-es	expressoMail1_2	expressomail configuration	Configuraciones del expressoMail
 es-es	expressoMail1_2	expresso offline	ExpressoMail Offline
-es-es	expressoMail1_2	fail in import:	Fallo al importar:
+es-es	expressoMail1_2	seen	Leídas
 es-es	expressoMail1_2	file extension forbidden	Extensión de archivo prohibido
 es-es	expressoMail1_2	files	archivos
@@ -24192,4 +24250,5 @@
 es-es	expressoMail1_2	no messages to send	No hay mensajes para enviar.
 es-es	expressoMail1_2	none	Ninguno
+es-es	expressoMail1_2	search user	Buscar usuarios
 es-es	expressoMail1_2	none result was found.	Ningún resultado fue encontrado
 es-es	expressoMail1_2	no option marked!	¡No fue marcada ninguna opción!
@@ -24277,7 +24336,4 @@
 es-es	expressoMail1_2	search the messages in these folders	Busque mensajes en estas carpetas
 es-es	expressoMail1_2	search user...	Búsqueda usuario...
-es-es	expressoMail1_2	search user	Buscar usuarios
-es-es	expressoMail1_2	sector	Sector
-es-es	expressoMail1_2	seen	Leídas
 es-es	expressoMail1_2	select a folder:	Seleccione una carpeta:
 es-es	expressoMail1_2	select a folder!	Seleccione una carpeta!
@@ -24475,4 +24531,5 @@
 es-es	preferences	autohide sidebox menu's	Ocultar automáticamente menu lateral
 es-es	preferences	automatically hide the sidebox menu's?	¿El menú lateral  debe ser ocultado automáticamente?
+es-es	mobile	phone	Teléfono
 es-es	preferences	change your password	Cambiar su contraseña
 es-es	preferences	change your personal data	Cambie sus datos personales
@@ -24532,4 +24589,5 @@
 es-es	preferences	should the number of active sessions be displayed for you all the time.	¿Mostrar el número de sesiones activas todo el tiempo?
 es-es	preferences	should this help messages shown up always, when you enter the preferences or only on request.	¿Mostrar estos mensajes de ayuda al modificar preferencias, o sólo cuando lo solicite?
+es-es	mobile	message sent successfully	Mensaje enviado con éxito
 es-es	preferences	show current users on navigation bar	Mostrar usuarios conectados en la barra de navegación
 es-es	preferences	show helpmessages by default	Mostrar mensajes de ayuda por defecto
@@ -24594,6 +24652,4 @@
 es-es	mobile	this message don't have attachment(s)	Este e-mail no posee anexo(s)
 es-es	mobile	catalog	Catálogo
-es-es	mobile	phone	Teléfono
-es-es	mobile	message sent successfully	Mensaje enviado con éxito
 es-es	mobile	message not sent	Mensaje no enviado
 es-es	mobile	more folders...	Mas Carpetas...
@@ -24767,4 +24823,5 @@
 es-es	workflow	<strong>%roles%</strong> are the emails of all users mapped to any role on this activity	<strong>%roles%</strong> son los correos de todos los usuarios mapeados a cualquier rol en esta actividad
 es-es	workflow	<strong>%signature%</strong> is the agent signature defined in the process configuration	<strong>%signature%</strong> es la firma del agente definida en la configuración del proceso
+es-es	filemanager	my folder	Mi carpeta
 es-es	workflow	<strong>%user%</strong> is the instance user email	<strong>%user%</strong> es el correo del usuario de la instancia
 es-es	workflow	<strong>%user_xx%</strong> is the email of the acount xx	<strong>%user_XX%</strong> es el correo de la cuenta XX
@@ -24901,4 +24958,6 @@
 es-es	workflow	delition successful	Borrado correcto
 es-es	workflow	description	Descripción
+es-es	workflow	process does not have a start activity	El proceso no tiene una actividad de inicio
+pt-br	filemanager	you must choose a folder !	Você deve escolher uma pasta !
 es-es	workflow	do you want the activity status on instances lists. most of the time it is "running" but if you use non-autorouted transitions you will have some completed activities.	¿Desea el estado de la actividad en las listas de instancias? La mayoría del tiempo está "en ejecución", pero si usa transiciones no autoenrutadas tendrá algunas actividades completadas.
 es-es	workflow	do you want the category column on instances lists, if yout instances use categories you should use it	¿Desea la columna de categoría en las listas de instancias? Si sus instancias usan categorías, debería usarla.
@@ -25094,5 +25153,4 @@
 es-es	workflow	process activities	Procesar actividades
 es-es	workflow	process alone	Procesar por separado
-es-es	workflow	process does not have a start activity	El proceso no tiene una actividad de inicio
 es-es	workflow	process does not have exactly one end activity	El proceso no tiene exactamente una actividad de fin
 es-es	workflow	process form	Procesar formulario
@@ -25169,4 +25227,5 @@
 es-es	workflow	send when the activity is ending	enviar cuando la actividad esté finalizando
 es-es	workflow	send when the activity is starting	enviar cuando la actividad esté comenzando
+pt-br	filemanager	file moved successfuly	Arquivo movido com sucesso
 es-es	workflow	send when wf_agent_mail_smtp['submit_send'] is posted	enviar cuando se envie wf_agent_mail_smtp['submit_send']
 es-es	workflow	set next act	Establecer actividad siguiente
@@ -25296,4 +25355,5 @@
 es-es	workflow	you are not allowed to grab instance %1	No tiene permiso para tomar la instancia %1
 es-es	workflow	you are not allowed to release instance %1	No tiene permiso para liberar la instancia %1
+pt-br	filemanager	archive	Arquivar
 es-es	workflow	you are not allowed to restart instance %1	No tiene permiso para reiniciar la instancia %1
 es-es	workflow	you are not allowed to resume instance %1	No tiene permiso para continuar la instancia %1
@@ -25373,4 +25433,5 @@
 en	filemanager	execute	Execute
 en	filemanager	failed to create directory	failed to create directory
+pt-br	filemanager	unarchive	Desarquivar
 en	filemanager	fake base dir did not exist, egroupware created a new one.	Fake Base Dir did not exist, eGroupWare created a new one.
 en	filemanager	file %1 already exists. please edit it or delete it first.	File %1 already exists. Please edit it or delete it first.
@@ -25459,4 +25520,6 @@
 pt-br	filemanager	could not move %1 file(s)	Não foi possível mover %1 arquivo(s)
 pt-br	filemanager	select a folder	Selecione uma pasta
+pt-br	filemanager	new folder	Nova pasta
+pt-br	filemanager	remove folder	Apagar pasta
 pt-br	filemanager	could not move file because no destination directory is given	Não foi possível mover o arquivo porque não se definiu um diretório de destino
 pt-br	filemanager	could not rename %1 to %2	Não foi possível renomear %1 para %2
@@ -25542,9 +25605,4 @@
 pt-br	filemanager	notify email	Notificar os e-mails
 pt-br	filemanager	%1 files moved successfuly	%1 arquivos movidos com sucesso
-pt-br	filemanager	file moved successfuly	Arquivo movido com sucesso
-pt-br	filemanager	archive	Arquivar
-pt-br	filemanager	unarchive	Desarquivar
-pt-br	filemanager	new folder	Nova pasta
-pt-br	filemanager	remove folder	Apagar pasta
 pt-br	filemanager	do you really want to remove folder: %1?	Você realmente deseja apagar a pasta: %1?
 pt-br	filemanager	your operation was successfully executed	Sua operação foi executada com sucesso
@@ -25626,5 +25684,5 @@
 pt-br	filemanager	you do not have java installed, plugin not loaded	Você não tem o Java instalado, o plugin não foi iniciado
 pt-br	filemanager	your home dir did not exist, egroupware created a new one.	Seu Diretório Home não existia, foi criado um novo.
-pt-br	filemanager	you must choose a folder !	Você deve escolher uma pasta !
+es-es	filemanager	edit comments	Editar comentarios
 pt-br	filemanager	filemanager notification	Gerenciador de arquivos notifica
 pt-br	filemanager	the user %1, sent the file "%2" (type %3) and asked to notify you.	O usu&aacute;rio %1, enviou o arquivo "%2" (tipo %3) e solicitou o notificar.
@@ -25702,5 +25760,5 @@
 es-es	filemanager	display attributes	Mostrar atributos
 es-es	filemanager	download	Descargar
-es-es	filemanager	edit comments	Editar comentarios
+es-es	filemanager	save	Salvar
 es-es	filemanager	error running command	Error al ejecutar el comando
 es-es	filemanager	execute	Ejecutar
@@ -25789,6 +25847,4 @@
 es-es	filemanager	view as icons	Ver como ícones
 es-es	filemanager	drag and drop to move	Arrastre y suelte para mover
-es-es	filemanager	save	Salvar
-es-es	filemanager	my folder	Mi carpeta
 es-es	filemanager	edit folders	Editar carpetas
 es-es	filemanager	share folders	Compartir carpetas
@@ -26190,4 +26246,12 @@
 
 --
+-- Name: calendar_timezones_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
+--
+
+ALTER TABLE ONLY calendar_timezones
+    ADD CONSTRAINT calendar_timezones_pkey PRIMARY KEY (id);
+
+
+--
 -- Name: calendar_to_calendar_object_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
 --