Index: /trunk/expressoCalendar/index.php
===================================================================
--- /trunk/expressoCalendar/index.php	(revision 7642)
+++ /trunk/expressoCalendar/index.php	(revision 7643)
@@ -16,4 +16,5 @@
 	define( 'MODULESURL' , '../prototype/modules/calendar' );
 	define( 'PLUGINSURL' , '../prototype/plugins' );
+  echo '<link rel="stylesheet" type="text/javascript" href="../prototype/modules/calendar/assetic_css.php"></link>';
   include ROOTPATH.'/modules/calendar/templates/index.ejs';
   echo '<script type="text/javascript" src="../prototype/modules/calendar/assetic.php"></script>';      
Index: /trunk/prototype/modules/calendar/assetic_css.php
===================================================================
--- /trunk/prototype/modules/calendar/assetic_css.php	(revision 7643)
+++ /trunk/prototype/modules/calendar/assetic_css.php	(revision 7643)
@@ -0,0 +1,65 @@
+<?php
+use Assetic\Asset\AssetCache;
+use Assetic\Cache\FilesystemCache;
+use Assetic\Asset\AssetCollection;
+use Assetic\Asset\FileAsset;
+use Assetic\Asset\GlobAsset;
+use Assetic\Filter\Yui;
+use Assetic\FilterManager;
+use Assetic\Filter;
+
+spl_autoload_register(
+    function($className)
+    {
+        $className = str_replace("_", "\\", $className);
+        $className = ltrim($className, '\\');
+        $fileName = '';
+        $namespace = '';
+        if ($lastNsPos = strripos($className, '\\'))
+        {
+            $namespace = substr($className, 0, $lastNsPos);
+            $className = substr($className, $lastNsPos + 1);
+            $fileName = '../../library/' . str_replace('\\', DIRECTORY_SEPARATOR, $namespace) . DIRECTORY_SEPARATOR;
+        }
+        $fileName .= str_replace('_', DIRECTORY_SEPARATOR, $className) . '.php';
+
+        require $fileName;
+    }
+);
+
+define( 'MODULESURL' , '../../modules/calendar' );
+define( 'PLUGINSURL' , '../../plugins' );
+$javaVersion = shell_exec("java -version 2>&1");
+$filterManager = new FilterManager();
+$compressor = new Yui\CssCompressorFilter('../../library/yuicompressor/yuicompressor.jar');
+$compressor->setCharset("ISO-8859-1");
+
+$css = new AssetCollection(array(
+        //new FileAsset(MODULESURL.'/css/reset.css'),
+        //new FileAsset(PLUGINSURL.'/fullcalendar/fullcalendar.css'), 
+        new FileAsset(PLUGINSURL.'/fullcalendar/fullcalendar.print.css'),
+        //new FileAsset(PLUGINSURL.'/jquery/jquery-ui.css'),
+        new FileAsset(PLUGINSURL.'/icalendar/jquery.icalendar.css'),
+        //new FileAsset(PLUGINSURL.'/fgmenu/fg.menu.css'),
+        new FileAsset(PLUGINSURL.'/fileupload/jquery.fileupload-ui.css'),
+        new FileAsset(PLUGINSURL.'/jquery.pagination/pagination.css'),
+        new FileAsset(PLUGINSURL.'/jpicker/css/jPicker-1.1.6.min.css'),
+        new FileAsset(PLUGINSURL.'/jpicker/jPicker.css'),
+        new FileAsset(PLUGINSURL.'/farbtastic/farbtastic.css'),
+        new FileAsset(PLUGINSURL.'/timepicker/jquery-ui-timepicker-addon.css'),
+        //new FileAsset(PLUGINSURL.'/zebradialog/css/zebra_dialog.css'),
+        new FileAsset(PLUGINSURL.'/jquery.spinner/jquery.spinner.css')
+        //new FileAsset(MODULESURL.'/css/layout.css'),
+        //new FileAsset(MODULESURL.'/css/style.css')
+    )
+);
+
+if (strpos($javaVersion,"java version") !== false){
+    $filterManager->set('yui_css', $compressor);    
+    $css->ensureFilter($filterManager->get('yui_css'));    
+}
+
+$cssCache = new AssetCache($css,new FilesystemCache('/tmp'));
+echo $cssCache->dump();
+
+?>
Index: /trunk/prototype/modules/calendar/templates/index.ejs
===================================================================
--- /trunk/prototype/modules/calendar/templates/index.ejs	(revision 7642)
+++ /trunk/prototype/modules/calendar/templates/index.ejs	(revision 7643)
@@ -9,27 +9,30 @@
 <!--<script type='text/javascript' src='<?= MODULESURL ?>/js/debug.js'></script>-->
 <!-- fim de assetic -->
+<!-- assetic -->
 <link rel="stylesheet" type="text/css" href="<?= MODULESURL ?>/css/reset.css" />
-
 <link rel='stylesheet' type='text/css' href='<?= PLUGINSURL ?>/fullcalendar/fullcalendar.css' />
-<link rel='stylesheet' type='text/css' href='<?= PLUGINSURL ?>/fullcalendar/fullcalendar.print.css' media='print' />
+<!-- <link rel='stylesheet' type='text/css' href='<?= PLUGINSURL ?>/fullcalendar/fullcalendar.print.css' media='print' /> -->
 <link rel='stylesheet' type='text/css' href='<?= PLUGINSURL ?>/jquery/jquery-ui.css'/>
-<link rel='stylesheet' type='text/css' href='<?= PLUGINSURL ?>/icalendar/jquery.icalendar.css'/>
+<!--<link rel='stylesheet' type='text/css' href='<?= PLUGINSURL ?>/icalendar/jquery.icalendar.css'/>-->
 <link rel="stylesheet" type="text/css" href="<?= PLUGINSURL ?>/fgmenu/fg.menu.css" media="screen"/>
+<!-- fim de assetic -->
 <!--<link type="text/css" href="<?= $ROOTPATH ?>fgmenu/theme/ui.all.css" media="screen" rel="stylesheet" />-->
 
-<link rel='stylesheet' type='text/css' href='<?= PLUGINSURL ?>/fileupload/jquery.fileupload-ui.css'/>
-<link rel="stylesheet" type='text/css' href="<?= PLUGINSURL ?>/jquery.pagination/pagination.css" />
+<!-- assetic -->
+<!--<link rel='stylesheet' type='text/css' href='<?= PLUGINSURL ?>/fileupload/jquery.fileupload-ui.css'/>-->
+<!--<link rel="stylesheet" type='text/css' href="<?= PLUGINSURL ?>/jquery.pagination/pagination.css" />-->
 
 <!-- JPicker -->
-<link rel="Stylesheet" type="text/css" href="<?= PLUGINSURL ?>/jpicker/css/jPicker-1.1.6.min.css" />
-<link rel="Stylesheet" type="text/css" href="<?= PLUGINSURL ?>/jpicker/jPicker.css" />
+<!--<link rel="Stylesheet" type="text/css" href="<?= PLUGINSURL ?>/jpicker/css/jPicker-1.1.6.min.css" />-->
+<!--<link rel="Stylesheet" type="text/css" href="<?= PLUGINSURL ?>/jpicker/jPicker.css" />-->
 
-<link rel="Stylesheet" type="text/css" href="<?= PLUGINSURL ?>/farbtastic/farbtastic.css" />
-<link rel="Stylesheet" type="text/css" href="<?= PLUGINSURL ?>/timepicker/jquery-ui-timepicker-addon.css" />
+<!--<link rel="Stylesheet" type="text/css" href="<?= PLUGINSURL ?>/farbtastic/farbtastic.css" />-->
+<!--<link rel="Stylesheet" type="text/css" href="<?= PLUGINSURL ?>/timepicker/jquery-ui-timepicker-addon.css" />-->
 <link rel="stylesheet" type="text/css" href='<?= PLUGINSURL ?>/zebradialog/css/zebra_dialog.css'></link>
-<link rel="stylesheet" type="text/css" href='<?= PLUGINSURL ?>/jquery.spinner/jquery.spinner.css'></link>
+<!--<link rel="stylesheet" type="text/css" href='<?= PLUGINSURL ?>/jquery.spinner/jquery.spinner.css'></link>-->
 
 <link rel="stylesheet" type="text/css" href="<?= MODULESURL ?>/css/layout.css" />
 <link rel="stylesheet" type="text/css" href="<?= MODULESURL ?>/css/style.css" />
+<!-- fim de assetic -->
 
 <!-- assetic -->