Index: trunk/prototype/plugins/davicalCliente/XMLElement.php
===================================================================
--- trunk/prototype/plugins/davicalCliente/XMLElement.php	(revision 5399)
+++ trunk/prototype/plugins/davicalCliente/XMLElement.php	(revision 7655)
@@ -318,5 +318,5 @@
   if ( !isset($start_from) ) $start_from = 0;
 
-  for( $i=0; $i < 50000 && isset($xmltags[$start_from]); $i++) {
+  for( $i=0; $i < 50000 && isset($xmltags[$start_from]); ++$i) {
     $tagdata = $xmltags[$start_from++];
     if ( !isset($tagdata) || !isset($tagdata['tag']) || !isset($tagdata['type']) ) break;
Index: trunk/prototype/plugins/davicalCliente/AWLUtilities.php
===================================================================
--- trunk/prototype/plugins/davicalCliente/AWLUtilities.php	(revision 5399)
+++ trunk/prototype/plugins/davicalCliente/AWLUtilities.php	(revision 7655)
@@ -542,5 +542,5 @@
     );
 
-    for( $i=160; $i < 256; $i++ ) {
+    for( $i=160; $i < 256; ++$i ) {
       $ch = chr($i);
       $byte_map[$ch] = iconv('ISO-8859-1', 'UTF-8', $ch);
Index: trunk/prototype/plugins/davicalCliente/XMLDocument.php
===================================================================
--- trunk/prototype/plugins/davicalCliente/XMLDocument.php	(revision 5399)
+++ trunk/prototype/plugins/davicalCliente/XMLDocument.php	(revision 7655)
@@ -77,5 +77,5 @@
         $i = "";
         if ( isset($this->prefixes[$prefix]) ) {
-          for ( $i=1; $i<10 && isset($this->prefixes["$prefix$i"]); $i++ ) {
+          for ( $i=1; $i<10 && isset($this->prefixes["$prefix$i"]); ++$i ) {
           }
         }
Index: trunk/prototype/plugins/icalcreator/iCalUtilityFunctions.class.php
===================================================================
--- trunk/prototype/plugins/icalcreator/iCalUtilityFunctions.class.php	(revision 5341)
+++ trunk/prototype/plugins/icalcreator/iCalUtilityFunctions.class.php	(revision 7655)
@@ -441,5 +441,5 @@
     $output = array();
     $val    = null;
-    for( $ix=0; $ix < strlen( $duration ); $ix++ ) {
+    for( $ix=0; $ix < strlen( $duration ); ++$ix ) {
       switch( strtoupper( substr( $duration, $ix, 1 ))) {
        case 'W':
@@ -839,5 +839,5 @@
         $yeardays   = $weekno = 0;
         $yeardaycnt = array();
-        for( $m = 1; $m <= 12; $m++ ) { // count up and update up-counters
+        for( $m = 1; $m <= 12; ++$m ) { // count up and update up-counters
           $daycnts[$m] = array();
           $weekdaycnt = array();
@@ -845,8 +845,8 @@
             $yeardaycnt[$dn] = $weekdaycnt[$dn] = 0;
           $mcnt     = date( 't', mktime( 0, 0, 0, $m, 1, $wdate['year'] ));
-          for( $d   = 1; $d <= $mcnt; $d++ ) {
+          for( $d   = 1; $d <= $mcnt; ++$d ) {
             $daycnts[$m][$d] = array();
             if( isset( $recur['BYYEARDAY'] )) {
-              $yeardays++;
+              ++$yeardays;
               $daycnts[$m][$d]['yearcnt_up'] = $yeardays;
             }
@@ -1026,5 +1026,5 @@
         else {
             /* update result array if BYSETPOS is set */
-          $countcnt++;
+          ++$countcnt;
           if( $startdatets <= $wdatets ) { // only output within period
             $result[$wdatets] = TRUE;
@@ -1089,5 +1089,5 @@
 // echo " recur ".implode('-',iCalUtilityFunctions::_date_time_string(date('Y-m-d H:i:s',$bysetposarr1[$ix]),6)); // test ###
               }
-              $countcnt++;
+              ++$countcnt;
             }
             if( isset( $recur['COUNT'] ) && ( $countcnt >= $recur['COUNT'] ))
Index: trunk/prototype/plugins/icalcreator/iCalcreator.class.php
===================================================================
--- trunk/prototype/plugins/icalcreator/iCalcreator.class.php	(revision 5399)
+++ trunk/prototype/plugins/icalcreator/iCalcreator.class.php	(revision 7655)
@@ -393,5 +393,5 @@
             if( $propix != $xpropno )
               $reduced[$xpropkey] = $xpropvalue;
-            $xpropno++;
+            ++$xpropno;
           }
         }
@@ -506,5 +506,5 @@
                                     : array( $xpropkey, $this->xprop[$xpropkey]['value'] );
             else
-              $xpropno++;
+              ++$xpropno;
           }
           unset( $this->propix[$propName] );
@@ -829,5 +829,5 @@
           return TRUE;
         }
-        $cix1dC++;
+        ++$cix1dC;
       }
       elseif( !$argType && ($arg1 == $component->getProperty( 'uid' ))) {
@@ -891,5 +891,5 @@
         if( $index == $cix1gC )
           return $component->copy();
-        $cix1gC++;
+        ++$cix1gC;
       }
       elseif( is_array( $arg1 )) { // array( *[propertyName => propertyValue] )
@@ -944,5 +944,5 @@
           if( $index == $cix1gC )
             return $component->copy();
-          $cix1gC++;
+          ++$cix1gC;
         }
       } // end elseif( is_array( $arg1 )) { // array( *[propertyName => propertyValue] )
@@ -950,5 +950,5 @@
         if( $index == $cix1gC )
           return $component->copy();
-        $cix1gC++;
+        ++$cix1gC;
       }
     } // end foreach ( $this->components.. .
@@ -1436,5 +1436,5 @@
           return TRUE;
         }
-        $cix1sC++;
+        ++$cix1sC;
       }
       elseif( !$argType && ( $arg1 == $component2->getProperty( 'uid' ))) { // UID insert/replace
@@ -1523,5 +1523,5 @@
     elseif( 'vtimezone' == $b->objName )          return  1;
     $sortkeys = array( 'year', 'month', 'day', 'hour', 'min', 'sec' );
-    for( $k = 0; $k < 4 ; $k++ ) {
+    for( $k = 0; $k < 4 ; ++$k ) {
       if(        empty( $a->srtk[$k] ))           return -1;
       elseif(    empty( $b->srtk[$k] ))           return  1;
@@ -1607,5 +1607,5 @@
         continue;
       if(     'BEGIN:VCALENDAR' == strtoupper( substr( $line, 0, 15 ))) {
-        $calsync++;
+        ++$calsync;
         continue;
       }
@@ -1653,5 +1653,5 @@
         if( $newProp ) {
           $newProp = FALSE;
-          $lastix++;
+          ++$lastix;
           $proprows[$lastix]  = $line;
         }
@@ -1666,5 +1666,5 @@
             /* get property name */
         $cix = $propname = null;
-        for( $cix=0, $clen = strlen( $line ); $cix < $clen; $cix++ ) {
+        for( $cix=0, $clen = strlen( $line ); $cix < $clen; ++$cix ) {
           if( in_array( $line[$cix], array( ':', ';' )))
             break;
@@ -1680,5 +1680,5 @@
         $attrix = -1;
         $strlen = strlen( $line );
-        for( $cix=0; $cix < $strlen; $cix++ ) {
+        for( $cix=0; $cix < $strlen; ++$cix ) {
           if((       ':'   == $line[$cix] )             &&
                    ( '://' != substr( $line, $cix, 3 )) &&
@@ -1720,10 +1720,9 @@
           $content  = explode( ',', $line );
           $clen     = count( $content );
-          for( $cix = 0; $cix < $clen; $cix++ ) {
+          for( $cix = 0; $cix < $clen; ++$cix ) {
             if( "\\" == substr( $content[$cix], -1 )) {
               $content[$cix] .= ','.$content[$cix + 1];
               unset( $content[$cix + 1] );
-              $cix++;
-            }
+              ++$cix;            }
           }
           if( 1 < count( $content )) {
@@ -2984,5 +2983,5 @@
         if( $fno < $cnt )
           $content .= ',';
-        $fno++;
+        ++$fno;
       }
       $output .= $this->_createElement( 'FREEBUSY', $attributes, $content );
@@ -3368,5 +3367,5 @@
         if( $rno < $cnt )
           $content .= ',';
-        $rno++;
+        ++$rno;
       }
       $output    .= $this->_createElement( 'RDATE', $attributes, $content );
@@ -4593,5 +4592,5 @@
                 }
                 $content2 .= $content21.$content22;
-                $bydaycnt++;
+                ++$bydaycnt;
               }
               else {
@@ -4601,5 +4600,5 @@
                 else {
                   $content22 .= $valuePart;
-                  $bydaycnt++;
+                  ++$bydaycnt;
                 }
                 $content2 .= $content21.$content22;
@@ -5077,5 +5076,5 @@
             if( $propix != $xpropno )
               $reduced[$xpropkey] = $xpropvalue;
-            $xpropno++;
+            ++$xpropno;
           }
         }
@@ -5139,5 +5138,5 @@
         $ak = ( is_array( $this->attach )) ? array_keys( $this->attach ) : array();
         while( is_array( $this->attach ) && !isset( $this->attach[$propix] ) && ( 0 < count( $this->attach )) && ( $propix < end( $ak )))
-          $propix++;
+          ++$propix;
         if( !isset( $this->attach[$propix] )) { unset( $this->propix[$propName] ); return FALSE; }
         return ( $inclParam ) ? $this->attach[$propix] : $this->attach[$propix]['value'];
@@ -5146,5 +5145,5 @@
         $ak = ( is_array( $this->attendee )) ? array_keys( $this->attendee ) : array();
         while( is_array( $this->attendee ) && !isset( $this->attendee[$propix] ) && ( 0 < count( $this->attendee )) && ( $propix < end( $ak )))
-          $propix++;
+          ++$propix;
         if( !isset( $this->attendee[$propix] )) { unset( $this->propix[$propName] ); return FALSE; }
         return ( $inclParam ) ? $this->attendee[$propix] : $this->attendee[$propix]['value'];
@@ -5153,5 +5152,5 @@
         $ak = ( is_array( $this->categories )) ? array_keys( $this->categories ) : array();
         while( is_array( $this->categories ) && !isset( $this->categories[$propix] ) && ( 0 < count( $this->categories )) && ( $propix < end( $ak )))
-          $propix++;
+          ++$propix;
         if( !isset( $this->categories[$propix] )) { unset( $this->propix[$propName] ); return FALSE; }
         return ( $inclParam ) ? $this->categories[$propix] : $this->categories[$propix]['value'];
@@ -5163,5 +5162,5 @@
         $ak = ( is_array( $this->comment )) ? array_keys( $this->comment ) : array();
         while( is_array( $this->comment ) && !isset( $this->comment[$propix] ) && ( 0 < count( $this->comment )) && ( $propix < end( $ak )))
-          $propix++;
+          ++$propix;
         if( !isset( $this->comment[$propix] )) { unset( $this->propix[$propName] ); return FALSE; }
         return ( $inclParam ) ? $this->comment[$propix] : $this->comment[$propix]['value'];
@@ -5173,5 +5172,5 @@
         $ak = ( is_array( $this->contact )) ? array_keys( $this->contact ) : array();
         while( is_array( $this->contact ) && !isset( $this->contact[$propix] ) && ( 0 < count( $this->contact )) && ( $propix < end( $ak )))
-          $propix++;
+          ++$propix;
         if( !isset( $this->contact[$propix] )) { unset( $this->propix[$propName] ); return FALSE; }
         return ( $inclParam ) ? $this->contact[$propix] : $this->contact[$propix]['value'];
@@ -5183,5 +5182,5 @@
         $ak = ( is_array( $this->description )) ? array_keys( $this->description ) : array();
         while( is_array( $this->description ) && !isset( $this->description[$propix] ) && ( 0 < count( $this->description )) && ( $propix < end( $ak )))
-          $propix++;
+          ++$propix;
         if( !isset( $this->description[$propix] )) { unset( $this->propix[$propName] ); return FALSE; }
         return ( $inclParam ) ? $this->description[$propix] : $this->description[$propix]['value'];
@@ -5211,5 +5210,5 @@
         $ak = ( is_array( $this->exdate )) ? array_keys( $this->exdate ) : array();
         while( is_array( $this->exdate ) && !isset( $this->exdate[$propix] ) && ( 0 < count( $this->exdate )) && ( $propix < end( $ak )))
-          $propix++;
+          ++$propix;
         if( !isset( $this->exdate[$propix] )) { unset( $this->propix[$propName] ); return FALSE; }
         return ( $inclParam ) ? $this->exdate[$propix] : $this->exdate[$propix]['value'];
@@ -5218,5 +5217,5 @@
         $ak = ( is_array( $this->exrule )) ? array_keys( $this->exrule ) : array();
         while( is_array( $this->exrule ) && !isset( $this->exrule[$propix] ) && ( 0 < count( $this->exrule )) && ( $propix < end( $ak )))
-          $propix++;
+          ++$propix;
         if( !isset( $this->exrule[$propix] )) { unset( $this->propix[$propName] ); return FALSE; }
         return ( $inclParam ) ? $this->exrule[$propix] : $this->exrule[$propix]['value'];
@@ -5225,5 +5224,5 @@
         $ak = ( is_array( $this->freebusy )) ? array_keys( $this->freebusy ) : array();
         while( is_array( $this->freebusy ) && !isset( $this->freebusy[$propix] ) && ( 0 < count( $this->freebusy )) && ( $propix < end( $ak )))
-          $propix++;
+          ++$propix;
         if( !isset( $this->freebusy[$propix] )) { unset( $this->propix[$propName] ); return FALSE; }
         return ( $inclParam ) ? $this->freebusy[$propix] : $this->freebusy[$propix]['value'];
@@ -5270,5 +5269,5 @@
         $ak = ( is_array( $this->requeststatus )) ? array_keys( $this->requeststatus ) : array();
         while( is_array( $this->requeststatus ) && !isset( $this->requeststatus[$propix] ) && ( 0 < count( $this->requeststatus )) && ( $propix < end( $ak )))
-          $propix++;
+          ++$propix;
         if( !isset( $this->requeststatus[$propix] )) { unset( $this->propix[$propName] ); return FALSE; }
         return ( $inclParam ) ? $this->requeststatus[$propix] : $this->requeststatus[$propix]['value'];
@@ -5277,5 +5276,5 @@
         $ak = ( is_array( $this->resources )) ? array_keys( $this->resources ) : array();
         while( is_array( $this->resources ) && !isset( $this->resources[$propix] ) && ( 0 < count( $this->resources )) && ( $propix < end( $ak )))
-          $propix++;
+          ++$propix;
         if( !isset( $this->resources[$propix] )) { unset( $this->propix[$propName] ); return FALSE; }
         return ( $inclParam ) ? $this->resources[$propix] : $this->resources[$propix]['value'];
@@ -5284,5 +5283,5 @@
         $ak = ( is_array( $this->rrule )) ? array_keys( $this->rrule ) : array();
         while( is_array( $this->rrule ) && !isset( $this->rrule[$propix] ) && ( 0 < count( $this->rrule )) && ( $propix < end( $ak )))
-          $propix++;
+          ++$propix;
         if( !isset( $this->rrule[$propix] )) { unset( $this->propix[$propName] ); return FALSE; }
         return ( $inclParam ) ? $this->rrule[$propix] : $this->rrule[$propix]['value'];
@@ -5309,5 +5308,5 @@
         $ak = ( is_array( $this->tzname )) ? array_keys( $this->tzname ) : array();
         while( is_array( $this->tzname ) && !isset( $this->tzname[$propix] ) && ( 0 < count( $this->tzname )) && ( $propix < end( $ak )))
-          $propix++;
+          ++$propix;
         if( !isset( $this->tzname[$propix] )) { unset( $this->propix[$propName] ); return FALSE; }
         return ( $inclParam ) ? $this->tzname[$propix] : $this->tzname[$propix]['value'];
@@ -5346,5 +5345,5 @@
                                     : array( $xpropkey, $this->xprop[$xpropkey]['value'] );
             else
-              $xpropno++;
+              ++$xpropno;
           }
           return FALSE; // not found ??
@@ -5431,5 +5430,5 @@
       return FALSE;
     $arglist[0] = strtoupper( $arglist[0] );
-    for( $argix=$numargs; $argix < 12; $argix++ ) {
+    for( $argix=$numargs; $argix < 12; ++$argix ) {
       if( !isset( $arglist[$argix] ))
         $arglist[$argix] = null;
@@ -5613,5 +5612,5 @@
           $proprows[$lastix] = $proprows[$lastix];
         $newProp = FALSE;
-        $lastix++;
+        ++$lastix;
         $proprows[$lastix]  = $line;
       }
@@ -5627,5 +5626,5 @@
             /* get propname, (problem with x-properties, otherwise in previous loop) */
       $cix = $propname = null;
-      for( $cix=0, $clen = strlen( $line ); $cix < $clen; $cix++ ) {
+      for( $cix=0, $clen = strlen( $line ); $cix < $clen; ++$cix ) {
         if( in_array( $line[$cix], array( ':', ';' )))
           break;
@@ -5644,5 +5643,5 @@
       $attrix = -1;
       $clen = strlen( $line );
-      for( $cix=0; $cix < $clen; $cix++ ) {
+      for( $cix=0; $cix < $clen; ++$cix ) {
         if((       ':'   == $line[$cix] )             &&
                  ( '://' != substr( $line, $cix, 3 )) &&
@@ -5694,9 +5693,9 @@
             $content  = explode( ',', $line );
             $clen     = count( $content );
-            for( $cix = 0; $cix < $clen; $cix++ ) {
+            for( $cix = 0; $cix < $clen; ++$cix ) {
               if( "\\" == substr($content[$cix], -1)) {
                 $content[$cix] .= ','.$content[$cix + 1];
                 unset($content[$cix + 1]);
-                $cix++;
+                ++$cix;
               }
             }
@@ -5899,5 +5898,5 @@
           return TRUE;
         }
-        $cix2dC++;
+        ++$cix2dC;
       }
       elseif( !$argType && ($arg1 == $component->getProperty( 'uid' ))) {
@@ -5950,5 +5949,5 @@
          if( $index == $cix2gC )
            return $component->copy();
-         $cix2gC++;
+         ++$cix2gC;
       }
       elseif( !$argType && ( $arg1 == $component->getProperty( 'uid' )))
@@ -6043,5 +6042,5 @@
           return TRUE;
         }
-        $cix2sC++;
+        ++$cix2sC;
       }
       elseif( !$argType && ( $arg1 == $component2->getProperty( 'uid' ))) { // UID insert/replace
@@ -6130,5 +6129,5 @@
       $bytecnt = strlen( $tmp );
       $charCnt = $ix = 0;
-      for( $ix = 0; $ix < $bytecnt; $ix++ ) {
+      for( $ix = 0; $ix < $bytecnt; ++$ix ) {
         if(( 73 < $charCnt ) && ( '\n' == substr( $tmp, $ix, $eolcharlen ))) {
           $ix += $eolcharlen;
Index: trunk/prototype/plugins/when/When.php
===================================================================
--- trunk/prototype/plugins/when/When.php	(revision 5341)
+++ trunk/prototype/plugins/when/When.php	(revision 7655)
@@ -551,5 +551,5 @@
 				while($run)
 				{
-					$_day++;
+					++$_day;
 					if($_day <= $days_in_month)
 					{
@@ -561,5 +561,5 @@
 						$tmp_date = new DateTime($year . '-' . $month . '-' . $overflow_count . ' ' . $timestamp);
 						$tmp_date->modify('+1 month');
-						$overflow_count++;
+						++$overflow_count;
 					}
 					
Index: trunk/prototype/services/OpenLDAP.php
===================================================================
--- trunk/prototype/services/OpenLDAP.php	(revision 6528)
+++ trunk/prototype/services/OpenLDAP.php	(revision 7655)
@@ -98,5 +98,5 @@
          
 	$return = array();
-	for ($i=0; $i < $pEntries["count"]; $i++)
+	for ($i=0; $i < $pEntries["count"]; ++$i)
 	{
 	      $entrieTmp = array();
Index: trunk/prototype/services/PostgreSQL.php
===================================================================
--- trunk/prototype/services/PostgreSQL.php	(revision 6962)
+++ trunk/prototype/services/PostgreSQL.php	(revision 7655)
@@ -359,5 +359,5 @@
         }
 
-        for($i=0; $i<count($order); $i++){
+        for($i=0; $i<count($order); ++$i){
             $order[$i] .= ($orderDesc[$i] === true) ? ' DESC' : '';
         }
Index: trunk/prototype/services/ImapServiceAdapter.php
===================================================================
--- trunk/prototype/services/ImapServiceAdapter.php	(revision 7622)
+++ trunk/prototype/services/ImapServiceAdapter.php	(revision 7655)
@@ -171,5 +171,5 @@
 					if( $filter[0] !== 'msgNumber' )
 					{
-					for( $i = 0; $i < count($filter); $i++ )
+					for( $i = 0; $i < count($filter); ++$i )
 					{
 						if( count( $filter[$i] ) === 4 )
@@ -184,5 +184,5 @@
 					$msgNumber = array();
 
-					for( $i = $start; $i < $start + $limit && isset( $filter[2][$i] ); $i++ )
+					for( $i = $start; $i < $start + $limit && isset( $filter[2][$i] ); ++$i )
 					  $msgNumber[] = $filter[2][$i];
 
@@ -214,5 +214,5 @@
 				$response = array( "page" => $page, "total" => $total_pages, "records" => $count );
 				
-				for ($i=0; $i<count($result); $i++)
+				for ($i=0; $i<count($result); ++$i)
 				{
 					$flags_enum = array('Unseen'=> 1,  'Answered'=> 1, 'Forwarded'=> 1, 'Flagged'=> 1, 'Recent'=> 1, 'Draft'=> 1 ); 
Index: trunk/prototype/library/uuid/class.uuid.php
===================================================================
--- trunk/prototype/library/uuid/class.uuid.php	(revision 5698)
+++ trunk/prototype/library/uuid/class.uuid.php	(revision 7655)
@@ -164,5 +164,5 @@
 		$uuid['time_mid'] = mt_rand(0, 0xffff);
 		$uuid['clock_seq_low'] = mt_rand(0, 255);
-		for ($i = 0; $i < 6; $i++)
+		for ($i = 0; $i < 6; ++$i)
 			$uuid['node'][$i] = mt_rand(0, 255);
 		return ($uuid);
@@ -247,5 +247,5 @@
 		 * we leave it for the user to supply the node.
 		 */
-		for ($i = 0; $i < 6; $i++)
+		for ($i = 0; $i < 6; ++$i)
 			$uuid['node'][$i] = ord(substr($node, $i, 1));
 
@@ -266,5 +266,5 @@
 		$uuid[9] = $src['clock_seq_low'];
 
-		for ($i = 0; $i < 6; $i++)
+		for ($i = 0; $i < 6; ++$i)
 			$uuid[10+$i] = $src['node'][$i];
 
@@ -296,5 +296,5 @@
 		$field['clock_seq_low'] = $uuid[9];
 
-		for ($i = 0; $i < 6; $i++)
+		for ($i = 0; $i < 6; ++$i)
 			$field['node'][$i] = $uuid[10+$i];
 		return ($field);
@@ -321,5 +321,5 @@
 		$field['clock_seq_hi'] = ($parts[3] & 0xff00) >> 8;
 		$field['clock_seq_low'] = $parts[3] & 0x00ff;
-		for ($i = 0; $i < 6; $i++)
+		for ($i = 0; $i < 6; ++$i)
 			$field['node'][$i] = $parts[4+$i];
 
Index: trunk/prototype/library/tonic/examples/filesystem/filesystemcollection.php
===================================================================
--- trunk/prototype/library/tonic/examples/filesystem/filesystemcollection.php	(revision 6528)
+++ trunk/prototype/library/tonic/examples/filesystem/filesystemcollection.php	(revision 7655)
@@ -50,5 +50,5 @@
         $filename = 1;
         while (file_exists($collection.DIRECTORY_SEPARATOR.$filename)) {
-            $filename++;
+            ++$filename;
         }
         return $this->uriStub.substr($this->collection, strlen($this->path)).'/'.$filename;
Index: trunk/prototype/modules/filters/interceptors/FilterMapping.php
===================================================================
--- trunk/prototype/modules/filters/interceptors/FilterMapping.php	(revision 7375)
+++ trunk/prototype/modules/filters/interceptors/FilterMapping.php	(revision 7655)
@@ -113,5 +113,5 @@
 					$script_criteria = "";
 					$require_fileinto = true;
-					$i++;
+					++$i;
 					continue;
 				}
@@ -270,5 +270,5 @@
 
 			if($data['id'] != "vacation")
-				$i++;
+				++$i;
 			$script_match = "";
 			$script_criteria = "";	
@@ -395,20 +395,20 @@
 						$action_type[$i_action] = 'reject';
 						$action_parameter[$i_action] = $array_rule[7];
-						$i_action++;
+						++$i_action;
 						break;
 					case 'folder':
 						$action_type[$i_action] = 'fileinto';
 						$action_parameter[$i_action] = $array_rule[7];
-						$i_action++;
+						++$i_action;
 						break;
 					case 'flagged':
 						$action_type[$i_action] = 'setflag';
 						$action_parameter[$i_action] = 'flagged';
-						$i_action++;
+						++$i_action;
 						break;
 					case 'address': 
 						$action_type[$i_action] = 'redirect';
 						$action_parameter[$i_action] = $array_rule[7];
-						$i_action++;
+						++$i_action;
 						break;
 					/* Somente para tratar casos em que a ação não é suportada */
@@ -416,5 +416,5 @@
 						$action_type[$i_action] = 'setflag';
 						$action_parameter[$i_action] = 'flagged';
-						$i_action++;
+						++$i_action;
 						break;
 					// Recuperar o cyrus_delimiter para forçar um fileinto para INBOX/trash
@@ -429,5 +429,5 @@
 					$criteria_operator[$i_criteria] = '=';
 					$criteria_field[$i_criteria] = 'from';
-					$i_criteria++;
+					++$i_criteria;
 				} 
 				if($array_rule[4] != "") {
@@ -435,5 +435,5 @@
 					$criteria_operator[$i_criteria] = '=';
 					$criteria_field[$i_criteria] = 'to';
-					$i_criteria++;
+					++$i_criteria;
 				} 
 				if($array_rule[5] != "") {
@@ -441,5 +441,5 @@
 					$criteria_operator[$i_criteria] = '=';
 					$criteria_field[$i_criteria] = 'subject';
-					$i_criteria++;
+					++$i_criteria;
 				}
 				$old_retorno = array();
@@ -467,5 +467,5 @@
 
 				$old_rules[$i_return] = $old_retorno;
-				$i_return++;
+				++$i_return;
 			}			
 			return $old_rules;
@@ -608,5 +608,5 @@
 	    $i = 0;
 
-	    for( ; isset($this->rules[$i]) && $this->rules[$i]['id'] !== $params['id']; $i++ );
+	    for( ; isset($this->rules[$i]) && $this->rules[$i]['id'] !== $params['id']; ++$i );
 
 	    $this->rules[$i] = array_merge( ( isset($this->rules[$i]) ? $this->rules[$i] : array() ), $params );
Index: trunk/prototype/modules/calendar/interceptors/DBMapping.php
===================================================================
--- trunk/prototype/modules/calendar/interceptors/DBMapping.php	(revision 7595)
+++ trunk/prototype/modules/calendar/interceptors/DBMapping.php	(revision 7655)
@@ -1465,5 +1465,5 @@
 	$length = 6;
 	$str = null;
-	for ($p = 0; $p < $length; $p++)
+	for ($p = 0; $p < $length; ++$p)
 	    $unique .= $base{mt_rand($start, $end)};
 
Index: trunk/prototype/modules/catalog/interceptors/CatalogDBMapping.php
===================================================================
--- trunk/prototype/modules/catalog/interceptors/CatalogDBMapping.php	(revision 6579)
+++ trunk/prototype/modules/catalog/interceptors/CatalogDBMapping.php	(revision 7655)
@@ -23,5 +23,5 @@
 
 		if(count($params)>0 && isset($params[0]['id'])){
-			for($i=0; $i < count($params); $i++){
+			for($i=0; $i < count($params); ++$i){
 				//Retorna o telefone e o e-mail padrao de um determinado contato
 				$sql = ' SELECT phpgw_cc_contact_conns.id_typeof_contact_connection as type, phpgw_cc_connections.connection_value as value '
@@ -55,5 +55,5 @@
 		$z = 0;
 		$count = count($params);
-		for($i=0; $i < $count; $i++){
+		for($i=0; $i < $count; ++$i){
 				//Retorna o telefone e o e-mail padrao de um determinado contato
 				$sql = 'SELECT contato.names_ordered as name, contato.id_contact as id, conexao.connection_value as value '
@@ -78,5 +78,5 @@
 						$params[$i]['contacts'][$z]['name'] = $connection['name'];							
 						$params[$i]['contacts'][$z][INDEX_EMAIL] = $connection['value'];							
-						$z++;
+						++$z;
 					}
 				}