Index: /trunk/prototype/modules/calendar/js/helpers.js
===================================================================
--- /trunk/prototype/modules/calendar/js/helpers.js	(revision 7602)
+++ /trunk/prototype/modules/calendar/js/helpers.js	(revision 7661)
@@ -2719,75 +2719,81 @@
 	    sequentialUploads: true,
 	    add: function (e, data) {
-		form = data
-		var name = form.files[0].name;
-		$('.import-event-form').find('input[type="file"]').hide();
-		$('.import-event-form').find('span.file-add').removeClass('hidden');
-		$('.import-event-form').find('span.file-add').append('<span>'+ name +'</span><a class="button remove-attachment tiny"></a>');
-		$('.import-event-form').find('.button.remove-attachment').button({
-		    icons: {
-			primary: "ui-icon-close"
-		    },
-		    text: false
-		}).click(function (event){
-		    $('.import-event-form').find('input[type="file"]').show();
-		    $('.import-event-form').find('span.file-add').addClass('hidden').html('');
-		    form = false;
-		});
-				
-				
+            form = data
+            var name = form.files[0].name;
+            $('.import-event-form').find('input[type="file"]').hide();
+            $('.import-event-form').find('span.file-add').removeClass('hidden');
+            $('.import-event-form').find('span.file-add').append('<span>'+ name +'</span><a class="button remove-attachment tiny"></a>');
+            $('.import-event-form').find('.button.remove-attachment').button({
+                icons: {
+                primary: "ui-icon-close"
+                },
+                text: false
+            }).click(function (event){
+                $('.import-event-form').find('input[type="file"]').show();
+                $('.import-event-form').find('span.file-add').addClass('hidden').html('');
+                form = false;
+            });
+
 	    },
+        submit:function(e, data){
+
+            $('div.import-export').find('a.button').button('option', 'disabled', true)
+            $('.import-event-form').find('span.file-add').append('<img src="../prototype/modules/calendar/img/ajax-loader.gif">');
+
+        },
 	    done: function(e, data){
-		var msg = '';
-		var type = '';
-
-        if(!!data.result && data.result == '[][""]' || data.result.indexOf('Error') >= 0 ){
-            msg = 'Erro ao realizar a importação, por favor verifique o arquivo .ics';
-            type = 'warning';
-
-		}else{
-
-            if(data.result.indexOf('schedulable') >= 0){
-                msg = 'Importação realizada com sucesso!';
-                type = 'confirmation';
-                Calendar.rerenderView(true);
+            var msg = '';
+            var type = '';
+
+            if(!!data.result && data.result == '[][""]' || data.result.indexOf('Error') >= 0 ){
+                msg = 'Erro ao realizar a importação, por favor verifique o arquivo .ics';
+                type = 'warning';
+
+                $('div.import-export').find('a.button').button('option', 'disabled', false)
+                $('.import-event-form').find('span.file-add img ').remove();
+
             }else{
-                var res = JSON.parse(data.result);
-                var asData = false;
-
-                for(var i = 0; i < res.length; i++)
-                    if(res[i].length > 0)
-                        asData = true;
-
-                if(asData){
+
+                if(data.result.indexOf('schedulable') >= 0){
                     msg = 'Importação realizada com sucesso!';
                     type = 'confirmation';
                     Calendar.rerenderView(true);
                 }else{
-                    msg = 'Não foram encontrados novos eventos na importação!';
-                    type = 'information';
+                    var res = JSON.parse(data.result);
+                    var asData = false;
+
+                    for(var i = 0; i < res.length; i++)
+                        if(res[i].length > 0)
+                            asData = true;
+
+                    if(asData){
+                        msg = 'Importação realizada com sucesso!';
+                        type = 'confirmation';
+                        Calendar.rerenderView(true);
+                    }else{
+                        msg = 'Não foram encontrados novos eventos na importação!';
+                        type = 'information';
+                    }
                 }
+
+                UI.dialogs.importCalendar.dialog("close");
             }
-        }
-
-		$.Zebra_Dialog(msg, {
-		    'type':     type,
-		    'overlay_opacity': '0.5',
-		    'buttons':  ['Fechar']
-		});
+
+            $.Zebra_Dialog(msg, {
+                'type':     type,
+                'overlay_opacity': '0.5',
+                'buttons':  ['Fechar']
+            });
 	    }
 	});
 
 	UI.dialogs.importCalendar.find(".menu-import-event")        
-	.children(".import").click(function(data){
-	    $('.import-event-form fieldset.import-calendar', UI.dialogs.importCalendar).append(
-		'<input type="hidden" name="params[calendar_timezone]" value="'+  
-		Calendar.signatureOf[$('.import-event-form option:selected').val()].calendar.timezone
-		+'"/>')
-	    if(form)
-		form.submit();			
-	    UI.dialogs.importCalendar.dialog("close");
-	/**
-			 * TODO - implementar ação de importação
-			 */
+	    .children(".import").click(function(data){
+            $('.import-event-form fieldset.import-calendar', UI.dialogs.importCalendar).append(
+                '<input type="hidden" name="params[calendar_timezone]" value="'+
+                Calendar.signatureOf[$('.import-event-form option:selected').val()].calendar.timezone
+                +'"/>')
+            if(form)
+                form.submit();
 	});
             