Index: /trunk/zpush/backend/expresso/providers/calendarProvider.php
===================================================================
--- /trunk/zpush/backend/expresso/providers/calendarProvider.php	(revision 7589)
+++ /trunk/zpush/backend/expresso/providers/calendarProvider.php	(revision 7670)
@@ -211,9 +211,10 @@
         $message->endtime = (int) substr($schedulable['endTime'], 0, -3);
         $message->deleted = 0;
-        $message->subject = $schedulable['summary']; // phpgw_cal.title
-        $message->location = $schedulable['location']; // phpgw_cal.location
+
+        $message->subject = mb_convert_encoding($schedulable['summary'] , 'UTF-8' , 'UTF-8,ISO-8859-1');
+        $message->location =  mb_convert_encoding($schedulable['location'], 'UTF-8' , 'UTF-8,ISO-8859-1');
 
         if(isset($schedulable['description']) && $schedulable['description'] != "") {
-            $message->body = $schedulable['description'];  // phpgw_cal.description
+            $message->body = mb_convert_encoding($schedulable['description'], 'UTF-8' , 'UTF-8,ISO-8859-1');  // phpgw_cal.description
             $message->bodysize = strlen($message->body);
             $message->bodytruncated = 0;
@@ -237,6 +238,6 @@
                 if($participant['isOrganizer'] == 1) //organizador
                 {
-                    $message->organizername = $participant['user']['name'];
-                    $message->organizeremail = $participant['user']['mail'];
+                    $message->organizername = mb_convert_encoding($participant['user']['name'], 'UTF-8' , 'UTF-8,ISO-8859-1');
+                    $message->organizeremail = mb_convert_encoding($participant['user']['mail'], 'UTF-8' , 'UTF-8,ISO-8859-1');
 
                     if(isset($participant['alarms'][0]))
@@ -262,6 +263,6 @@
                 {
                     $attendee = new SyncAttendee();
-                    $attendee->name = $participant['user']['name'];
-                    $attendee->email = $participant['user']['mail'];
+                    $attendee->name =  mb_convert_encoding($participant['user']['name'], 'UTF-8' , 'UTF-8,ISO-8859-1');
+                    $attendee->email = mb_convert_encoding($participant['user']['mail'], 'UTF-8' , 'UTF-8,ISO-8859-1');
                     $message->attendees[] = $attendee;
                 }
@@ -331,5 +332,4 @@
             $message->recurrence = $recur;
         }
-
         return $message;
     }
Index: /trunk/zpush/backend/expresso/expresso.php
===================================================================
--- /trunk/zpush/backend/expresso/expresso.php	(revision 7644)
+++ /trunk/zpush/backend/expresso/expresso.php	(revision 7670)
@@ -31,6 +31,12 @@
             foreach($this->cacheFolders[$provider] as $folder)
             {
-                if($folder['id'] == $folderId)
+                if($folder['id'] == $folderId && is_object($this->providerInstances[$provider]))
+                {
                     return $this->providerInstances[$provider];
+                }
+                else
+                {
+                     throw new Exception('Error in get Provider');
+                }
             }
         }
Index: /trunk/zpush/config.php
===================================================================
--- /trunk/zpush/config.php	(revision 7631)
+++ /trunk/zpush/config.php	(revision 7670)
@@ -292,5 +292,5 @@
     define('IMAP_PORT', $row['imapport']);
     // best cross-platform compatibility (see http://php.net/imap_open for options)
-    define('IMAP_OPTIONS', $row['imapTLSEncryption'] == 'yes' ? '/tls/norsh' : '/notls/norsh');
+    define('IMAP_OPTIONS', (isset($row['imapTLSEncryption']) && $row['imapTLSEncryption'] == 'yes' ) ? '/tls/norsh' : '/notls/norsh');
 
     // overwrite the "from" header if it isn't set when sending emails
Index: /trunk/zpush/version.php
===================================================================
--- /trunk/zpush/version.php	(revision 7589)
+++ /trunk/zpush/version.php	(revision 7670)
@@ -43,5 +43,5 @@
 
 
-define("ZPUSH_VERSION", "2.0.6RC-1578");
+define("ZPUSH_VERSION", "2.0.6-1616");
 
 ?>